import logging; logger = logging.getLogger("morse." + __name__)

import morse.core.actuator

from morse.core.services import service, async_service, interruptible
from morse.core import status
from morse.helpers.components import add_data, add_property

class Modememitter(morse.core.actuator.Actuator):

    _name = "Modememitter"
    _short_desc = "Modem emitter"

    add_data('NAME', " ", 'string', 'type de robot')
    add_data('BOX_BUDDY', " ", 'string', 'Modem message')
    add_data('BOAT_X', 0, 'double', 'Modem message')
    add_data('BOAT_Y', 0, 'double', 'Modem message')
    add_data('BOAT_HEADING', 0, 'double', 'Modem message')
    add_data('BOAT_HEADING_DOT', 0, 'double', 'Modem message')
    add_data('BOAT_SPEED', 0, 'double', 'Modem message')
    add_data('PRESSURE_Z', 0, 'double', 'Modem message')

    def __init__(self, obj, parent=None):
        logger.info("%s initialization" % obj.name)
        morse.core.actuator.Actuator.__init__(self, obj, parent)

    def default_action(self):
        pass
